Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001071Core InformSource text and punctuationpublic2013-01-24 19:272014-05-07 07:33
Reportercuriousdannii 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001071: Error messages mention "begin" even when using colon and indentation syntax
DescriptionFor new authors this can be confusing.
Minimal Source Text To Reproduce
There is a room.
When play begins:
	if the player is asdf:
		do nothing.
Additional InformationError message produced is:

Problem. In the sentence 'if the player is asdf begin' , I was expecting to read a condition, but instead found some text that I couldn't understand - 'player is asdf'.

Error message should be:

Problem. In the sentence 'if the player is asdf:' , I was expecting to read a condition, but instead found some text that I couldn't understand - 'player is asdf'.
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2013-01-24 19:27 curiousdannii New Issue
2013-01-25 10:31 EmacsUser Severity mild => cosmetic
2013-01-25 10:31 EmacsUser Status new => confirmed
2014-01-25 05:13 graham Status confirmed => resolved
2014-01-25 05:13 graham Resolution open => fixed
2014-01-25 05:13 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker